Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io
Interface IColumnSerializer

All Superinterfaces:
  ISerializer<IColumn>

All Known Implementing Classes:
  ColumnSerializer

    public interface IColumnSerializer

extends ISerializer<IColumn>

Nested Class Summary
`static class` | `IColumnSerializer.Flag` Flag affecting deserialization behavior.

Method Summary
`IColumn` | `deserialize(java.io.DataInput in, IColumnSerializer.Flag flag, int expireBefore)`

Methods inherited from interface org.apache.cassandra.io.ISerializer
`deserialize, serialize, serializedSize`

Method Detail

### deserialize

    IColumn deserialize(java.io.DataInput in,
                        IColumnSerializer.Flag flag,
                        int expireBefore)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation